{ config, lib, pkgs, ... }:

{
  nixpkgs.config = {
    allowUnfree = true;
    mpv.vaapiSupport = true;

    packageOverrides = pkgs: rec {
      mu-git = pkgs.callPackage ./mu-git/default.nix {};
      theme_flat-remix = pkgs.callPackage ./flat-remix/default.nix {};
      theme_sddm_midnight = pkgs.callPackage ./sddm_midnight/default.nix {};
      firmware_surface = pkgs.callPackage ./firmware_surface/default.nix {};
      linux_surface = pkgs.callPackage ./linux_surface/default.nix {};
      linuxPackages_surface = pkgs.recurseIntoAttrs (pkgs.linuxPackagesFor linux_surface);
      xdiskusage = pkgs.callPackage ./xdiskusage/default.nix {};
    };
  };
}
